QGIS Application - Feature request #6799

Bring the "advanced search” tool (available in table of attributes) also in layer properties (and in the
TOC tight click dialog)

2012-11-30 11:51 AM - Giovanni Manghi
Assignee:

Category: GUI
Easy fix?: No Copied to github as #: 15947
Description

otherwise reaching the tool that allows to create complex selection using attributes is really a pain.

History

#1 - 2013-01-28 01:49 AM - Matthias Kuhn

Implemented and awaiting comments.
https://github.com/qgis/Quantum-GIS/pull/406

It's currently located in the toolbar, as I think this is more appropriate.

Layer properties should be used for properties and not for the selection.

Maybe the TOC context menu could hold an item for this. But I'm not sure there either.

#2 - 2013-01-28 02:30 AM - Giovanni Manghi

Maybe the TOC context menu could hold an item for this. But I'm not sure there either.

| would personally say "yes", but | guess that it is needed to find a way to not confuse the users as there is already the query tool, that allows to filter

features.

Thanks for the effort!

cheers

#3 - 2013-01-28 03:00 AM - Matthias Kuhn

The difference being, that the filter is also a layer property, that will affect all operations on the layer and even being saved to the layer, while the selection
is something temporary.

But if it helps users to find things more easily this would also be a good justification.

I have no strong opinion on this.

#4 - 2013-01-28 08:07 PM - Nathan Woodrow

| have changed the name of Query.. in the TOC to Filter.. so the action reflects the operation more clearly.
https://github.com/qgis/Quantum-GIS/pull/406

I think the working Select By Expression is quite clear and could be added to the TOC without issues.

#5 - 2014-06-12 04:45 PM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Open to Closed
